# Address → Cluster Name

### Get name

Get the cluster and wallet name based on an address

| Name      | Description           |
| --------- | --------------------- |
| `address` | EVM or Solana address |

**Example**

```javascript
const name = await clusters.getName(address);
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "type": "evm",
    "clusterName": "cluster",
    "walletName": "main",
    "isVerified": true
}
```

{% endtab %}

{% tab title="404" %}

```json
{
  "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
  "type": "evm",
  "clusterName": null,
  "walletName": null
}
```

{% endtab %}
{% endtabs %}

***

### Bulk get names

Get the cluster and wallet name based on multiple addresses

| Name        | Description     |
| ----------- | --------------- |
| `addresses` | Array addresses |

**Example**

```javascript
const names = await clusters.getNames(['address1', 'address2'])
```

**Response**

> Any addresses not found will have `clusterName: null`

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "type": "evm",
    "clusterName": "clusters",
    "walletName": "main",
    "isVerified": true
  },
  {
    "address": "0xccdead94e8cf17de32044d9701c4f5668ad0bef9",
    "type": "evm",
    "clusterName": "layerzero",
    "walletName": "main",
    "isVerified": true
  }
]
```

{% endtab %}

{% tab title="500" %}

```json
[]
```

{% endtab %}
{% endtabs %}

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/javascript/address-cluster-name.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
